<?php
session_start();
$db_link = mysqli_connect('localhost', 'web_b-3', 'een7Ao6s', 'bibliothek_candle', '3306');
    
    function runSQL($sql){
        global $db_link;
        $db_res = mysqli_query($db_link, $sql);
        if(!$db_res){
            header("Location: 404.html");
            exit;
        }
        return $db_res;
    }
function register($vorname,
    $nachname ,
    $email,
    $passwort, $strasse, $hausnummer, $ort, $plz){
    global $db_link;
        $vorname =  mysqli_real_escape_string($db_link, $vorname);
        $nachname =  mysqli_real_escape_string($db_link, $nachname);
       $email =  mysqli_real_escape_string($db_link, $email);
       $passwort = mysqli_real_escape_string($db_link, $passwort);
       $ort =  mysqli_real_escape_string($db_link, $ort);
       $plz =  mysqli_real_escape_string($db_link, $plz);
       $strasse =  mysqli_real_escape_string($db_link, $strasse);
       $hausnummer =  mysqli_real_escape_string($db_link, $hausnummer);
	    //Benutzer schon vorhanden?
        $db_res = runSQL("SELECT COUNT(*) FROM `benutzer` WHERE `E-MailAdresse`='$email'");
        $row = mysqli_fetch_array($db_res);
        

        if($row['COUNT(*)'] > 0)
        { 
            header("Location: benutzer_schon_existiert.php");
            return 'Es gibt schon einen Benutzer mit der angegebenen E-Mail Adresse';
       
         }else{
            
            $zweiterbefehl = runSQL("INSERT INTO `benutzer` (`VorName`, `NachName`, `KartenID`, `E-MailAdresse`, `AdressenID`, `Passwort`)
            VALUES ('$vorname', '$nachname', '100', '$email', '1', '$passwort')");
            $dritterbefehl = runSQL("UPDATE `benutzer`
            SET `KartenID` = 1000000000 + (SELECT `BenutzerID` FROM `benutzer` WHERE `E-MailAdresse` = '$email')
            WHERE `E-MailAdresse` = '$email'");

            $adr = runSQL("SELECT COUNT(*) FROM `adresse` WHERE `Stadt` = '$ort' and `Postleitzahl` = '$plz' and `Straße`='$strasse' and `Hausnummer` ='$hausnummer'");
            $zeile = mysqli_fetch_array($adr);
                if($zeile['COUNT(*)'] > 0){ 
                    $vierterbefehl = runSQL("UPDATE `benutzer` b
                    INNER JOIN `adresse` a ON  a.`Stadt` = '$ort' AND a.`Postleitzahl` = '$plz'
                    AND a.`Straße` =  '$strasse' AND a.`Hausnummer` = '$hausnummer'
                    SET b.`AdressenID` = a.`AdressenID`
                    WHERE b.`E-MailAdresse` = '$email'");
                    }else{
                        $ersterbefehl = runSQL("INSERT INTO `adresse` (`Stadt`, `Postleitzahl`, `Straße`, `Hausnummer`)
                        VALUES ('$ort', '$plz', '$strasse', '$hausnummer')");
                        $vierterbefehl = runSQL("UPDATE `benutzer` b
                        INNER JOIN `adresse` a ON  a.`Stadt` = '$ort' AND a.`Postleitzahl` = '$plz'
                        AND a.`Straße` =  '$strasse' AND a.`Hausnummer` = '$hausnummer'
                        SET b.`AdressenID` = a.`AdressenID`
                        WHERE b.`E-MailAdresse` = '$email'");
                    }

                    // SQL-Abfrage ausführen
			$sql = "SELECT `KartenID` FROM `benutzer` WHERE `E-MailAdresse` = '$email'";
			$result = runSQL($sql);

			// Überprüfen, ob die Abfrage erfolgreich war
			if ($result->num_rows > 0) {
   			 // Den Wert aus dem Ergebnis abrufen
    			$row = $result->fetch_assoc();
    			$kartenid = $row["KartenID"];
    
				}            
        
                    echo '<!DOCTYPE html>
                        <html>
                            <head>
                                <meta lang="de"/>
                                <meta charset="utf-8"/>
                                <meta name="viewport" content="device=device-width, initial-scaling=1"/>
                                <link rel="Stylesheet" type="text/css" href="style.css"/>
                                <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
                                <title>Candle Bibliothek | Erfolgreich Registriert</title>
                                <link rel="icon" href="pictures/candle.png">
                                <script src="notwendiges_laden.js" defer></script>
                            </head>
                        
                            <body>
                                <header id="header"></header>
                        
                                <!--------------------------------------------------------------------->
                        
                                <div class="mainContentContainer">
                                    <div class="titleContainer">
                                        <h1 id="registeredTitle">Erfolgreich registriert</h1>
                                    </div>
                                    <div class="mainContent">
                                        <p id="textFirstHalf">
                                            Sie wurden erfolgreich registriert.
                                            <br><br>Ihre Karten-ID ist</p>
                                        <!--TODO: Placeholder entfernen
                                            und durch ID aus Datenbank ersetzen-->
                                        <p id="cardID">' . htmlspecialchars($kartenid) .'</p>
                                        <br><br>
                                        <p id="textLastHalf">
                                            Mit dieser ID und Ihrem Passwort
                                            können Sie sich direkt auf unserer Website anmelden und,
                                            bei Bedarf, bereits Bücher für eine Ausleihe reservieren.
                                            <br><br>Die Karten-ID findet sich auf Ihrem
                                            Bibliotheksausweis wieder, welchen Sie bei Ihrem ersten
                                            Besuch in unserer Bibliothek erhalten.
                                            <br>Der Bibliotheksausweis kostet 10 Euro und muss jedes Jahr
                                            vor Ort für den gleichen Preis verlängert werden.
                                            <br>Bitte beachten Sie, dass ohne Vorlage eines
                                            gültigen Ausweises, keine Bücher abgeholt werden können.
                                            </p>
                                            <br>
                                        <!--TODO: Event für den Button befindet sich momentan
                                            noch hier in der Datei. Soll die Funktion in eine
                                            andere Datei verschoben werden, da sich eigentlich keine
                                            EventListener in der HTML-Datei befinden sollen?-->
                                        <input type="button" id="loginNowButton" value="Jetzt anmelden"
                                        onclick="linkToLoginPage()">
                        
                                        <script>
                                            function linkToLoginPage() {
                                                window.location.replace("anmelden_meinebuecher.php");
                                            }
                                        </script>
                        
                                        <br><br><br>
                                    </div>  
                                </div>
                                
                                <!--------------------------------------------------------------------->
                        
                                <!--Link JS file-->
                                <script src="burgerIcon.js"></script>
                                <script>
                                    var widthissue = false;
                            window.addEventListener("resize", function(event) {
                                if(window.innerWidth > 800 && widthissue) {
                                    widthissue = false
                                    unset()
                                } 
                                else if(window.innerWidth < 800) widthissue = true;
                                })
                                
                                </script>
                        
                                <nav id="activeid" class="active"></nav>
                        
                        
                                <footer id="footer" class="fuss" ></footer>
                        
                            </body>
                            
                        </html>';
          

	
    }
}

?>